%define upstream_name    Pod-Weaver-Section-AllowOverride
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Allow POD to override a Pod::Weaver-provided section
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Elemental::Document)
BuildRequires: perl(Pod::Elemental::MakeSelector)
BuildRequires: perl(Pod::Weaver)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(Pod::Weaver::Role::Transformer)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
Sometimes, you might want to override a normally-generic section in one of
your modules. This section plugin replaces the preceding section with the
corresponding section taken from your POD (if it exists). If your POD
doesn't contain a matching section, then the Pod::Weaver-provided one will
be used.

Both the original section in your POD and the section provided by
Pod::Weaver must match the 'header_re'. Also, this plugin must immediately
follow the section you want to replace (unless you set 'match_anywhere' to
a true value).

It's a similar idea to the Pod::Weaver::Role::SectionReplacer manpage,
except that it works the other way around. SectionReplacer replaces the
section from your POD with a section provided by Pod::Weaver.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1496778
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-3.mga7
+ Revision: 1270765
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-2.mga6
+ Revision: 1032344
- Rebuild for perl 5.22.2

* Fri Jan 01 2016 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 917996
- importing from cpan2pkg


* Mon Dec 28 2015 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
